## ovn-bgp-agent 1.0.0

=== debian/changelog ===
ovn-bgp-agent (1.0.0-2) unstable; urgency=medium

  * Add switch-from-imp-to-importlib.patch (Closes: #1056433).
  * Blacklist failing tests due to Mock change in Python 3.12:
    - TestLinuxNet.test_add_ips_to_dev
    - TestLinuxNet.test_del_ips_from_dev
    - TestLinuxNet.test_delete_ip_routes

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2023 14:14:47 +0100

ovn-bgp-agent (1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 15:42:28 +0200

ovn-bgp-agent (1.0.0~b1-1) unstable; urgency=medium

  * Initial packaging (Closes: #1021188).

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:57:21 +0200

## ovn-bgp-agent 2.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0 # Apache-2.0

Jinja2>=2.10 # BSD License (3 clause)
netaddr>=0.7.18 # BSD
neutron-lib>=2.10.1 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=6.1.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.privsep>=2.3.0 # Apache-2.0
oslo.rootwrap>=5.15.0 # Apache-2.0
oslo.service>=1.40.2 # Apache-2.0
ovs>=2.8.0 # Apache-2.0
ovsdbapp>=1.16.0 # Apache-2.0
pyroute2>=0.6.6;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
stevedore>=1.20.0 # Apache-2.0
tenacity>=6.0.0 # Apache-2.0

## ovn-bgp-agent 1.1.0

=== debian/changelog ===
ovn-bgp-agent (1.1.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Thu, 02 Oct 2025 08:54:21 +0000

=== debian/control ===
Source: ovn-bgp-agent
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-eventlet,
 python3-jinja2,
 python3-neutron-lib,
 python3-openvswitch,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.service,
 python3-oslotest,
 python3-ovsdbapp,
 python3-pyroute2 (>= 0.6.4),
 python3-stestr,
 python3-tenacity,
 python3-testtools,
 subunit,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/ovn-bgp-agent
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/ovn-bgp-agent.git
Homepage: https://github.com/openstack/ovn-bgp-agent

Package: ovn-bgp-agent
Architecture: all
Section: python
Depends:
 neutron-common,
 python3-ovn-bgp-agent (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - OVN BGP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the OVN BGP agent.

Package: python3-ovn-bgp-agent
Architecture: all
Section: python
Depends:
 python3-jinja2,
 python3-neutron-lib,
 python3-openvswitch,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.service,
 python3-ovsdbapp,
 python3-pbr,
 python3-pyroute2 (>= 0.6.4),
 python3-stevedore,
 python3-tenacity,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - OVN BGP agent library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the OVN BGP agent agent.

## ovn-bgp-agent 2.0.1

=== debian/changelog ===
ovn-bgp-agent (2.0.1-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:45:30 +0100

ovn-bgp-agent (2.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 11:06:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ovn-bgp-agent
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -15,6 +16,7 @@
 Build-Depends-Indep:
  python3-eventlet,
  python3-jinja2,
+ python3-netaddr,
  python3-neutron-lib,
  python3-openvswitch,
  python3-oslo.concurrency,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/x/ovn-bgp-agent
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build *.egg-info $(CURDIR)/debian/ovn-bgp-agent.init $(CURDIR)/debian/ovn-bgp-agent.service
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Doing nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
		
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ovn_bgp_agent\.tests\.unit\.(?!utils\.test_linux_net\.TestLinuxNet\.test_add_ips_to_dev|utils\.test_linux_net\.TestLinuxNet\.test_del_ips_from_dev|utils\.test_linux_net\.TestLinuxNet\.test_delete_ip_routes)'
endif

	mkdir -p $(CURDIR)/debian/ovn-bgp-agent/etc/ovn-bgp-agent
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace ovnbgpagent \
		--output-file $(CURDIR)/debian/ovn-bgp-agent/etc/ovn-bgp-agent/bgp-agent.conf

	dh_install
	mkdir -p $(CURDIR)/debian/ovn-bgp-agent/etc/ovn-bgp-agent
	mv $(CURDIR)/debian/tmp/usr/etc/ovn-bgp-agent/* $(CURDIR)/debian/ovn-bgp-agent/etc/ovn-bgp-agent
	rmdir $(CURDIR)/debian/tmp/usr/etc/ovn-bgp-agent
	rmdir $(CURDIR)/debian/tmp/usr/etc
	dh_missing --fail-missing


override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## ovn-bgp-agent 2.1.0

=== debian/changelog ===
ovn-bgp-agent (2.1.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 12:24:31 +0000

ovn-bgp-agent (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 22:45:59 +0200

ovn-bgp-agent (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-netaddr as (build-)depends.
  * Removed switch-from-imp-to-importlib.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Mar 2024 18:33:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ovn-bgp-agent
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -58,6 +57,7 @@
 Section: python
 Depends:
  python3-jinja2,
+ python3-netaddr,
  python3-neutron-lib,
  python3-openvswitch,
  python3-oslo.concurrency,

## ovn-bgp-agent 3.0.0

=== debian/changelog ===
ovn-bgp-agent (3.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090457).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 12:11:39 +0100

ovn-bgp-agent (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2024 08:33:03 +0200

ovn-bgp-agent (3.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 00:11:25 +0200

ovn-bgp-agent (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 11:07:56 +0200

## ovn-bgp-agent 3.0.1

=== debian/changelog ===
ovn-bgp-agent (3.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 03 Feb 2026 15:06:39 +0000

## ovn-bgp-agent 4.0.0

=== debian/changelog ===
ovn-bgp-agent (4.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:39:14 +0200

ovn-bgp-agent (4.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:32:10 +0100

ovn-bgp-agent (4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 09:25:53 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-oslo.rootwrap,
  python3-oslo.service,
  python3-oslotest,
- python3-ovsdbapp,
+ python3-ovsdbapp (>= 2.10.0),
  python3-pyroute2 (>= 0.6.4),
  python3-stestr,
  python3-tenacity,
@@ -66,7 +66,7 @@
  python3-oslo.privsep,
  python3-oslo.rootwrap,
  python3-oslo.service,
- python3-ovsdbapp,
+ python3-ovsdbapp (>= 2.10.0),
  python3-pbr,
  python3-pyroute2 (>= 0.6.4),
  python3-stevedore,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	rm -rf build *.egg-info $(CURDIR)/debian/ovn-bgp-agent.init $(CURDIR)/debian/ovn-bgp-agent.service

## ovn-bgp-agent 4.0.0+really

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
pbr>=2.0 # Apache-2.0

Jinja2>=2.10 # BSD License (3 clause)
netaddr>=0.7.18 # BSD
neutron-lib>=2.10.1 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=6.1.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.privsep>=2.3.0 # Apache-2.0
oslo.rootwrap>=5.15.0 # Apache-2.0
oslo.service>=1.40.2 # Apache-2.0
ovs>=2.8.0 # Apache-2.0
ovsdbapp>=2.10.0 # Apache-2.0
pyroute2>=0.6.6;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
stevedore>=1.20.0 # Apache-2.0
tenacity>=6.0.0 # Apache-2.0

=== debian/changelog ===
ovn-bgp-agent (4.0.0+really-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Mon, 07 Apr 2025 21:13:54 +0200

ovn-bgp-agent (3.0.0+git2025030311.65b5913-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles <myles.penner@canonical.com>  Tue, 04 Mar 2025 09:21:51 +0000

ovn-bgp-agent (3.0.0+git2025011511.6febd7d-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.

  [ James Page ]
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 21 Jan 2025 10:34:54 +0000

ovn-bgp-agent (3.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:37:53 +0100

ovn-bgp-agent (3.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: Set upstream branch to 'upstream-dalmatian'.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 02 Oct 2024 09:07:20 +0100

ovn-bgp-agent (2.0.1+git2024081410.bf7c7460-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian:
    - d/rules: Add custom version parsing for snapshots.

 -- Myles <myles.penner@canonical.com>  Thu, 15 Aug 2024 15:44:36 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,14 @@
 #!/usr/bin/make -f
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
 
 UPSTREAM_GIT := https://opendev.org/x/ovn-bgp-agent
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_clean:
 	rm -rf build *.egg-info $(CURDIR)/debian/ovn-bgp-agent.init $(CURDIR)/debian/ovn-bgp-agent.service

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ovn-bgp-agent/ ovn_bgp_agent-(4\.\d.*)\.tar\.gz

## ovn-bgp-agent 5.0.0~rc1

=== debian/changelog ===
ovn-bgp-agent (5.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 10:43:26 +0000

ovn-bgp-agent (5.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 12:04:43 +0200

ovn-bgp-agent (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-rootwrap from (build-)depends.
  * No need to deal with /usr/etc anymore.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 19:42:59 +0200

## ovn-bgp-agent 5.0.0

=== requirements.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 oslo.config>=6.1.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.privsep>=2.3.0 # Apache-2.0
-oslo.rootwrap>=5.15.0 # Apache-2.0
 oslo.service>=1.40.2 # Apache-2.0
 ovs>=2.8.0 # Apache-2.0
 ovsdbapp>=2.10.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
# releasenotes
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
ovn-bgp-agent (5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 23:38:27 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
  python3-oslo.config,
  python3-oslo.log,
  python3-oslo.privsep,
- python3-oslo.rootwrap,
  python3-oslo.service,
  python3-oslotest,
  python3-ovsdbapp (>= 2.10.0),
@@ -64,7 +63,6 @@
  python3-oslo.config,
  python3-oslo.log,
  python3-oslo.privsep,
- python3-oslo.rootwrap,
  python3-oslo.service,
  python3-ovsdbapp (>= 2.10.0),
  python3-pbr,

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,10 @@
 #!/usr/bin/make -f
-
-DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
-VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
-export PBR_VERSION=$(VERSION)
 
 UPSTREAM_GIT := https://opendev.org/x/ovn-bgp-agent
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	rm -rf build *.egg-info $(CURDIR)/debian/ovn-bgp-agent.init $(CURDIR)/debian/ovn-bgp-agent.service
@@ -37,10 +33,6 @@
 		--output-file $(CURDIR)/debian/ovn-bgp-agent/etc/ovn-bgp-agent/bgp-agent.conf
 
 	dh_install
-	mkdir -p $(CURDIR)/debian/ovn-bgp-agent/etc/ovn-bgp-agent
-	mv $(CURDIR)/debian/tmp/usr/etc/ovn-bgp-agent/* $(CURDIR)/debian/ovn-bgp-agent/etc/ovn-bgp-agent
-	rmdir $(CURDIR)/debian/tmp/usr/etc/ovn-bgp-agent
-	rmdir $(CURDIR)/debian/tmp/usr/etc
 	dh_missing --fail-missing

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/ovn-bgp-agent/tags .*/(\d[brc\d\.]+)\.tar\.gz

## ovn-bgp-agent 5.0.0+git20251031.2.6dae182

=== debian/changelog ===
ovn-bgp-agent (5.0.0+git20251031.2.6dae182-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 5.0.0+git20251031.2.6dae182
  * New upstream snapshot from 6dae18274b4e8252b20222841f631714692a6c89
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Thu, 22 Jan 2026 16:15:40 -0800

ovn-bgp-agent (5.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 08:58:43 -0700

ovn-bgp-agent (5.0.0~rc1-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.
  * d/rules: Drop obsolete file copying to etc/ovn-bgp-agent.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/ovn-bgp-agent.maintscript: Remove obsolete rootwrap files.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 08:41:57 -0700

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,14 @@
 #!/usr/bin/make -f
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
 
 UPSTREAM_GIT := https://opendev.org/x/ovn-bgp-agent
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build *.egg-info $(CURDIR)/debian/ovn-bgp-agent.init $(CURDIR)/debian/ovn-bgp-agent.service

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/ovn-bgp-agent/ ovn_bgp_agent-(\d{1,2}\.\d.*)\.tar\.gz
